BOCHSFB(4)

NAME
bochsfb - Bochs Display Interface framebuffer

SYNOPSIS
bochsfb* at pci?
wsdisplay* at bochsfb?

  Options
options BOCHSFB_DEFAULT_WIDTH=integer
options BOCHSFB_DEFAULT_HEIGHT=integer

DESCRIPTION
The bochsfb driver provides support for graphics devices implementing the Bochs VBE DISPI interface, including the Bochs reference VGA implementation, and the QEMU StdVGA device. It programs the linear framebuffer through the DISPI registers and makes it available through wsdisplay(4) as a console or wsfb(4) compatible framebuffer.

When a memory-mapped DISPI bar with an EDID block is present, bochsfb uses the preferred mode reported by the display. Devices without EDID support (such as virtio-vga) fall back to a 1024x768 32-bit mode. If no MMIO bar is available, the driver accesses the DISPI registers via the legacy VGA I/O ports.

SEE ALSO
intro(4), pci(4), vga(4), wscons(4), wsdisplay(4)

HISTORY
The bochsfb driver first appeared in NetBSD 12.0.

AUTHORS
-nosplit The bochsfb driver was written by Jiaxun Yang <jiaxun.yang@flygoat.com>.